/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.notification.tool;

import org.apache.ws.resource.tool.Wsdl2JavaTask;
import org.apache.ws.resource.tool.Wsdl2Java;

import java.io.File;

/**
 * Ant task that wraps {@link WsnWsdl2Java}.
 *
 * @author Ian Springer (ian DOT springer AT hp DOT com)
 */
public class WsnWsdl2JavaTask extends Wsdl2JavaTask
{

    /**
     * DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public String toString()
    {
        return "WsnWsdl2Java Ant task";
    }

    protected Wsdl2Java createWsdl2Java( File[] wsdlFiles, File outputDir, File[] classpathFiles, Wsdl2Java.Wsdl2JavaOptions options )
            throws Exception
    {
        return new WsnWsdl2Java( wsdlFiles, outputDir, classpathFiles, options );
    }

}
