package org.apache.ws.notification.topics;


/**
 * @author Sal Campana
 */
public class TopicListenerTestObj implements TopicListener

{


    /**
     * Called when the value of the topic changes
     *
     * @param topic The topic that changed
     */
    public void topicChanged(Topic topic)
    {

    }

    /**
     * Called when a topic is added
     *
     * @param topic The topic being added
     */
    public void topicAdded(Topic topic)
    {

    }

    /**
     * Called when a topic is removed
     *
     * @param topic The topic being removed
     */
    public void topicRemoved(Topic topic)
    {

    }
}
