/**
 *
 * @author  Stefan Lischke
 */
import org.apache.ws.notification.topics.*;
import org.apache.ws.notification.topics.impl.*;

import org.apache.ws.eventing.EventSourceResource;
public class BrokerResource implements EventSourceResource{    
    private static BrokerResource s_ourInstance= new BrokerResource();
    private TopicSpaceSet m_topicSpaceSet;
    //private TopicSpace m_topicSpace;
    
    /** Creates a new instance of BrokerResource */
    public BrokerResource() {
        m_topicSpaceSet = new TopicSpaceSetImpl();
        //m_topicSpace = new TopicSpaceImpl("http://www.borker.de");
        //m_topicSpace.addTopic(new TopicImpl("root"));
        m_topicSpaceSet.addTopicSpace(org.apache.ws.notification.topics.util.TopicSpaceParser.parse(Thread.currentThread().getContextClassLoader().getResourceAsStream("topicspace.xml")));   

    }
    
    public static BrokerResource getInstance(){
        return s_ourInstance;
    }
    
    public TopicSpaceSet getTopicSpaceSet() {
        return m_topicSpaceSet;
    }
    
    public void destroy() {
    }
    
    public Object getID() {
        return "1";
    }
    
    public void init() {
    }
    
    public void setID(Object id) {
    }
    
    public void addTerminationListener(org.apache.ws.resource.lifetime.ResourceTerminationListener termListener){
        
    }
}
