/*
 * Copyright 2001-2004 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.ws.eventing.porttype.impl;

import org.apache.axis.message.SOAPEnvelope;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.ws.eventing.SubscriptionHome;

import javax.naming.Context;
import javax.naming.InitialContext;

public class SimpleNotificationPortTypeImpl implements org.apache.ws.eventing.porttype.NotificationPortType{
    private static final Log LOG = LogFactory.getLog( NotificationPortTypeImpl.class.getName() );
    private boolean m_broker;
    
    //TODO maybe remove Axis dep
    //TODO use WSRF Provider with Message styler
    public void filter(SOAPEnvelope req, SOAPEnvelope resp){
        try{
            LOG.info("filtering ");
            Context initialContext = new InitialContext(  );
            SubscriptionHome sH = (SubscriptionHome) initialContext.lookup( SubscriptionHome.HOME_LOCATION );
            sH.notify(req);
        }catch(Exception e){
            //TODO
            e.printStackTrace();
        }
    }   
}


