/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.ws.pubsub;

public class PublisherFactory {
    public PublisherFactory() {
    }

    public static PublisherFactory getInstance(){
        return s_ourInstance;
    }

    public Publisher createPublisher(String url){
        //choose between wse/wsn
        return new org.apache.ws.notification.pubsub.Publisher(url);
        //return new org.apache.ws.eventing.pubsub.Publisher(url);
    }

    public static PublisherFactory s_ourInstance = new PublisherFactory();
}
